<template>
    <lightning-layout multiple-rows>
        <lightning-layout-item size="12">
            <lightning-card title="Find a Boat">
                <div slot="actions">
                    <lightning-button variant="neutral" label="New Boat" onclick={createNewBoat} class="slds-float_right slds-p-around_small"></lightning-button>
                </div>
                <p class="slds-var-p-horizontal_small slds-align_absolute-center">
                    <c-boat-search-form onsearch={searchBoats}></c-boat-search-form>
                </p>
            </lightning-card>
        </lightning-layout-item>
        <lightning-layout-item size="12" class="slds-p-top_small slds-is-relative">
            <template if:true={isLoading}>
                <lightning-spinner alternative-text="Loading" size="small" variant="brand"></lightning-spinner>
            </template>
            <c-boat-search-results onloading={handleLoading} ondoneloading={handleDoneLoading}></c-boat-search-results>
        </lightning-layout-item>
    </lightning-layout>
</template>